%define name	pychart
%define version 1.39
%define release 1

Name: 	 	%{name}
Summary:	Python library for data graphs and charts 	
Version: 	%{version}
Release: 	5.2

Source:		PyChart-%{version}.tar.bz2
URL:		http://www.hpl.hp.com/personal/Yasushi_Saito/pychart/
License:	GPL
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel

%description
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots,
range-fill plots, and pie charts. Because it is based on Python, you can make
full use of Python's scripting power.

%prep
%setup -q -n PyChart-%version
chmod 644 `find -type f`

%build
python setup.py build
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README demos doc COPYING
%{_libdir}/python*/site-packages/%name
%if 0%{?suse_version} >= 1100
%{_libdir}/python*/site-packages/PyChart-%{version}-py*.egg-info
%endif

%changelog
* Sat Oct 09 2010 Carsten Schoene <cs@linux-administrator.com> - 1.39-1
- update to release 1.39
